--- ./Makefile.in.orig	2024-04-18 11:19:35.000000000 -0500
+++ ./Makefile.in	2024-05-20 13:00:18.665855374 -0500
@@ -361,11 +361,11 @@
 DEFAULT_PYTHON_PATH = /usr/bin/env python3
 
 build-zenmap: $(ZENMAPDIR)/pyproject.toml $(ZENMAPDIR)/zenmapCore/Version.py
-	$(PYTHON) -m build $(ZENMAPDIR)/
+	$(PYTHON) -m build --wheel --no-isolation $(ZENMAPDIR)/
 
 install-zenmap: $(ZENMAPDIR)/pyproject.toml
 	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(deskdir)
-	$(PYTHON) -m pip install $(ZENMAPDIR)/ $(if $(DESTDIR),--root "$(DESTDIR)")
+	$(PYTHON) -m pip install --no-build-isolation $(ZENMAPDIR)/ $(if $(DESTDIR),--root "$(DESTDIR)")
 	$(INSTALL) -c -m 644 docs/zenmap.1 $(DESTDIR)$(mandir)/man1/
 	$(INSTALL) -c -m 644 $(ZENMAPDIR)/install_scripts/unix/*.desktop $(DESTDIR)$(deskdir)
 # Create a symlink from nmapfe to zenmap if nmapfe doesn't exist or is
